Subject: Re: CCL:About autodock3

From: jianquan <[email-masked]>
Date: Fri, 04 Feb 2000 21:56:06 -0500

Hi,
you should debug autodock and track into readPDBQ.cc file to see the
value of variable nrecord.
I think it may be 2*523 although you read only 523 atoms, so nrecord
will be above 1000 and give the wrong error message.
I think the your ligand file have been transfered between Unix and
windows.
After being transferred the file will has double lines because the end
symbols of a line in the two OS are different.
if my answer is true, you should add codes to check that every line read
begin with ATOM or HETATM.
If my answer works please tell the author of autodock3  for me.
I have reported the same question about autogrid to them, but no reply.

Jianquan chen
Rutgers Univ.
please visit www.eden.rutgers.edu/~jianquan/AEDock.html

Jie Liu wrote:

> Dear CCLers:
>         I docked a ligand (oligonucleotide with 523 atoms) into the
> protein by using Autodock3.0.2.When I executed " autodock3 -p name.dpf
> -l name.dlg &", Autodock3 can not complete the task successfully. It
> gave me following information:
>
* autodock3: ERROR: ERROR: 523 records read in, but only dimensioned for
> 512.
* Change "MAX_RECORDS" in "constants.h".
* autodock3: Aborting...
* autodock3: Unsuccessful Completion.
>         I ever tried to incerease the  grid map dimensions of the
> ligand, but the problem still existed.
>         Does it mean that this program can not work on ligand with
> more than 512 atoms or I should modify some parameters of the
> program?How can I modify the parameters?Thanks a lot for any advices.
>
> Best regards,
>
> Jie Liu
>
> --
>
> Jie Liu, Ph.D.
> Department of Molecular Physiology and Biophysics
> Baylor College of Medicine
> Houston, TX 77030
> USA
>
>